Search found 1085 matches

Go to advanced search

by Chris_G
Fri Sep 20, 2019 5:44 am
Forum: Help on using FreeCAD
Topic: Pipe (sweep) along path with multiple axis
Replies: 15
Views: 530

Re: Pipe (sweep) along path with multiple axis

Hello,
Can you give a try at the attached file.
If you double-click the spiral object in the tree-view, it should enter edit-mode.
This doesn't always work, as it depends on the version of the coin library of FreeCAD.
If it works, instructions are displayed in the report view.
by Chris_G
Thu Sep 19, 2019 4:53 pm
Forum: Help on using FreeCAD
Topic: Convert spline to DWire (for offsetting)
Replies: 4
Views: 55

Re: Convert spline to DWire (for offsetting)

Part->Offset2D works.
Draft->Offset doesn't.
by Chris_G
Thu Sep 19, 2019 4:00 pm
Forum: Help on using FreeCAD
Topic: Convert spline to DWire (for offsetting)
Replies: 4
Views: 55

Re: Convert spline to DWire (for offsetting)

The problem is not the BSplines.
The shape in the test file is a compound of individual edges, it is not a wire.
You need to Draft->Upgrade it to a wire.
by Chris_G
Tue Sep 17, 2019 5:35 pm
Forum: Help on using FreeCAD
Topic: curves wb, boundary to surface how to do
Replies: 5
Views: 132

Re: curves wb, boundary to surface how to do

A test file would help. Maybe you can switch to Surface workbench, use this joincurve as the boundary curve for a Filling surface, and add some vertex constraints inside the surface. Or you can also try to generate a point-cloud object from the surface mesh and use the Reverse Engineering WB to appr...
by Chris_G
Mon Sep 16, 2019 12:40 pm
Forum: Python scripting and macros
Topic: Remove unwanted faces from face extrusion
Replies: 9
Views: 272

Re: Remove unwanted faces from face extrusion

Hard to tell without a test file. First, you can test if your wire is valid : wire = Part.Wire([bs2.toShape(), bs3.toShape(),.......,edge.Edges]) print("Valid wire : %s"%str(wire.isValid())) print("Closed wire : %s"%str(wire.isClosed())) disc_t = Part.Face(wire) print("Valid face : %s"%str(disc_t.is...
by Chris_G
Mon Sep 16, 2019 9:11 am
Forum: Open discussion
Topic: Curves workbench
Replies: 413
Views: 37421

Re: Curves workbench

Hi,glad to see u again!I'm confused how to do these three steps with python code?Do you have any simple code examples for these three steps?Looking forward to your reply!Thanks! Don't use this, it is outdated. Use the Gordon surface. I already answered about the Gordon surface scripting : import go...
by Chris_G
Mon Sep 16, 2019 8:57 am
Forum: Open discussion
Topic: Curves workbench
Replies: 413
Views: 37421

Re: Curves workbench

This sketch give a BOPAlgo GeomAbs_C0 error through a JoinCurve. That carry out this error with any surface. Any suggestion? I don't know the reason for the C0 continuity. I can get C1, but only with very high tolerance setting. In this case, I would suggest to discretize (set Target to "Wire" ) an...
by Chris_G
Sat Sep 14, 2019 8:48 pm
Forum: Python scripting and macros
Topic: [ Solved ] Normal of a Sketch - Calculate Normal from Placement ?
Replies: 5
Views: 165

Re: Normal of a Sketch - Calculate Normal from Placement ?

I would do :

Code: Select all

normal = sketch.Placement.Rotation.multVec(FreeCAD.Vector(0,0,1))
by Chris_G
Sat Sep 14, 2019 7:57 am
Forum: Python scripting and macros
Topic: Setting an enumerate property.
Replies: 7
Views: 159

Re: Setting an enumerate property.

Still a mystery to me as to why it requires a double reference I suppose that this property gets a special treatment internally : - when it is set to a list of strings, the enum gets populated - when it is set to an integer, the index in the EXISTING enum is set ['rad','deg'].index(aunit) # This is...

Go to advanced search